> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List favourite TV shows

> This endpoint allows you to get a user's list of favourite TV shows.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /account/{{account_id}}/favorite/tv
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /account/{{account_id}}/favorite/tv:
    parameters:
      - name: account_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Account
      summary: List favourite TV shows
      description: This endpoint allows you to get a user's list of favourite TV shows.
      operationId: listFavouriteTvShows
      parameters:
        - name: language
          in: query
          schema:
            type: string
            example: en-US
          description: language format of the details you want to get.
        - name: page
          in: query
          schema:
            type: string
            example: '1'
          description: what page the query belongs
        - name: sort_by
          in: query
          schema:
            type: string
            example: created_at.asc
          description: filter the query by ascending or descending order
        - name: session_id
          in: query
          schema:
            type: string
            example: string
          description: filter by the user session ID
      responses:
        '200':
          description: List favourite tv shows
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Tue, 10 Dec 2024 15:05:46 GMT
            ETag:
              schema:
                type: string
                example: W/"c96a506d74bca054e11b3a18da2fb42c"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 613faec4b883bfe2ebdd8a74d5006f4c.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: EIgAgpYup-MS6oIyRP9h4l8cvxxgjLqrR3n67K2VgxJF9G0hEEoEng==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: c5ec8e292344d0252257c2afa3e9e9e1
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                    example: 1
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        adult:
                          type: boolean
                          example: false
                        backdrop_path:
                          type: string
                          example: /2Erj4Oav9EHAtqLI354VM7ULDqu.jpg
                        first_air_date:
                          type: string
                          example: '2018-06-20'
                        genre_ids:
                          type: array
                          items:
                            type: number
                            example: 37
                          example:
                            - 37
                            - 18
                        id:
                          type: number
                          example: 73586
                        name:
                          type: string
                          example: Yellowstone
                        origin_country:
                          type: array
                          items:
                            type: string
                            example: US
                          example:
                            - US
                        original_language:
                          type: string
                          example: en
                        original_name:
                          type: string
                          example: Yellowstone
                        overview:
                          type: string
                          example: >-
                            Follow the violent world of the Dutton family, who
                            controls the largest contiguous ranch in the United
                            States. Led by their patriarch John Dutton, the
                            family defends their property against constant
                            attack by land developers, an Indian reservation,
                            and America’s first National Park.
                        popularity:
                          type: number
                          example: 1775.759
                        poster_path:
                          type: string
                          example: /s4QRRYc1V2e68Qy9Wel9MI8fhRP.jpg
                        vote_average:
                          type: number
                          example: 8.233
                        vote_count:
                          type: number
                          example: 2435
                    example:
                      - adult: false
                        backdrop_path: /2Erj4Oav9EHAtqLI354VM7ULDqu.jpg
                        first_air_date: '2018-06-20'
                        genre_ids:
                          - 37
                          - 18
                        id: 73586
                        name: Yellowstone
                        origin_country:
                          - US
                        original_language: en
                        original_name: Yellowstone
                        overview: >-
                          Follow the violent world of the Dutton family, who
                          controls the largest contiguous ranch in the United
                          States. Led by their patriarch John Dutton, the family
                          defends their property against constant attack by land
                          developers, an Indian reservation, and America’s first
                          National Park.
                        popularity: 1775.759
                        poster_path: /s4QRRYc1V2e68Qy9Wel9MI8fhRP.jpg
                        vote_average: 8.233
                        vote_count: 2435
                      - adult: false
                        backdrop_path: /7w165QdHmJuTHSQwEyJDBDpuDT7.jpg
                        first_air_date: '2005-08-29'
                        genre_ids:
                          - 10759
                          - 80
                          - 18
                        id: 2288
                        name: Prison Break
                        origin_country:
                          - US
                        original_language: en
                        original_name: Prison Break
                        overview: >-
                          Due to a political conspiracy, an innocent man is sent
                          to death row and his only hope is his brother, who
                          makes it his mission to deliberately get himself sent
                          to the same prison in order to break the both of them
                          out, from the inside out.
                        popularity: 754.687
                        poster_path: /5E1BhkCgjLBlqx557Z5yzcN0i88.jpg
                        vote_average: 8.1
                        vote_count: 5153
                  total_pages:
                    type: number
                    example: 1
                  total_results:
                    type: number
                    example: 2
              examples:
                List favourite tv shows:
                  value:
                    page: 1
                    results:
                      - adult: false
                        backdrop_path: /2Erj4Oav9EHAtqLI354VM7ULDqu.jpg
                        first_air_date: '2018-06-20'
                        genre_ids:
                          - 37
                          - 18
                        id: 73586
                        name: Yellowstone
                        origin_country:
                          - US
                        original_language: en
                        original_name: Yellowstone
                        overview: >-
                          Follow the violent world of the Dutton family, who
                          controls the largest contiguous ranch in the United
                          States. Led by their patriarch John Dutton, the family
                          defends their property against constant attack by land
                          developers, an Indian reservation, and America’s first
                          National Park.
                        popularity: 1775.759
                        poster_path: /s4QRRYc1V2e68Qy9Wel9MI8fhRP.jpg
                        vote_average: 8.233
                        vote_count: 2435
                      - adult: false
                        backdrop_path: /7w165QdHmJuTHSQwEyJDBDpuDT7.jpg
                        first_air_date: '2005-08-29'
                        genre_ids:
                          - 10759
                          - 80
                          - 18
                        id: 2288
                        name: Prison Break
                        origin_country:
                          - US
                        original_language: en
                        original_name: Prison Break
                        overview: >-
                          Due to a political conspiracy, an innocent man is sent
                          to death row and his only hope is his brother, who
                          makes it his mission to deliberately get himself sent
                          to the same prison in order to break the both of them
                          out, from the inside out.
                        popularity: 754.687
                        poster_path: /5E1BhkCgjLBlqx557Z5yzcN0i88.jpg
                        vote_average: 8.1
                        vote_count: 5153
                    total_pages: 1
                    total_results: 2
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````